/**************************
 * Owen Sullivan
 * CPSC 2310 Fall 2022
 * Username: opsulli
 * Instructor: Dr. Yvon Feaster
**************************/

// Header guard
#ifndef FUNCTIONS_
#define FUNCTIONS_

#include <stdio.h> 
#include <stdlib.h>
// Include stdbool.h for bool functions
#include <stdbool.h>

int **readFile(FILE *fp, int *size);
void printMatrix(int **mat, int num);
bool isLeftDiagonal(int row, int col);
bool isRightDiagonal(int size, int row, int col);
int calculateVal(int **mat, int size);

#endif